Subject: Re: bug#10683: 23.4; Reverse video doesn't work for -nw

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 31 Jan 2012 17:39:43 -0500

Glenn Morris <[email-masked]> writes:

> Łukasz Michalik wrote:
>
>>> and Emacs detected the background mode as dark when it should
>>> have been light (or vice versa)
>> I don't really understand that, but whatever you say.  I used to get
>> transparent background with white fg, now it's reversed.
>
> Could you say what terminal emulator you are using and what the value of
> $TERM is?
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2501
>
> suggests setting COLORFGBG, but I don't know what that does.

In rxvt COLORFGBG can be used to determine the fg and bg color used by
the terminal.  Emacs can use that to set the `background-mode', and
all the faces are defined based on `background-mode'.

It might be interesting to evaluate this:

M-: (frame-parameter (selected-frame) 'background-mode)) RET

in the old and new emacs and see if that changed.